Mac Yosemite Beta 3 可以胜任日常的 ROR 开发工作了吗

zhbinx · 2014年09月17日 · 最后由 ashchan 回复于 2014年09月20日 · 3068 次阅读

大家有没有用 yosemite 的 一般的 ror 开发环境会不会有问题…… 我想把 mavericks 升了,但是怕不能胜任的话,又要降下来,那就好尴尬

postgresql 卸了用 --no-perl 重装一遍,其他没任何问题。

完全可以。

我能说我从 beta2 就开始用了吗?从 10.9 升级过来遇到的问题只有 postgresql 需要重装,其他都正常。beta3 比 beta2 好了。

从 DP1 就开始用的飘过……posgresql 还可以用 posgres.app

可以,但注意:

therubyracer 编不过的,如果项目中有用到会比较麻烦(比如 less 会依赖它)。

homebrew 中的 mongodb 不打 patch 无法安装。

BTW,已经是 DP8 了,3 太旧了。

楼主脱节了,beta 3 以后都已经快有 10 个版本了

在用,除了 mongodb,目前也没什么问题。 mongodb 也不是什么问题,看 so: http://stackoverflow.com/questions/24052145/trouble-reinstalling-mongodb-with-homebrew-using-os-x-10-10-yosemite-beta

谢谢大家,我装完了! 扁平化真好看,还能接打电话…… beta3 不是这周才出的么。。。大约就是 DP7 的水平?

beta3 这周才跟 DP8 一起出的

#5 楼 @ashchan 果然 gemfile 里有 therubyracer,装 gem 没问题,但是服务死活起不来

楼上诸位请分清 Developer Preview 和 Beta 版本的区别……

#11 楼 @howiehu 不好意思,只用 DP,不知道 Beta 的版本不一致。

需要 登录 后方可回复, 如果你还没有账号请 注册新账号